Download it now!
Bug 122427 - WRITER should handle templates in a clear manner -- IMPORT and Copy to template Directory
Summary: WRITER should handle templates in a clear manner -- IMPORT and Copy to templa...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2019-01-02 16:00 UTC by peter josvai
Modified: 2019-01-15 08:50 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peter josvai 2019-01-02 16:00:23 UTC
Description:
when managing templates -- FILE / templates, manage templates -- 

we should be able to handle templates more easily, in a clearer way...

#1
for example, the location of a template (in this manage templates view) should be clear...
using a right click should display the file location

#2
importing templates should be a clear thing to do...
starting with 

either 

telling the users "do NOT put template files manually in the template directory, instead, import it from any location"

or

making it possible to place a template in the template directory (a custom one)
which should mean that the template is LISTED / ACTIVE... (imported)...

I'll fill out the form below regarding the import function..



thank you for developing LibreOffice!

Steps to Reproduce:
1.add a template directory path to Writer by going to: tools / options / LibreOffice / Paths
2. place a template into this directory
3.open Writer and check the list of templates

Actual Results:
the newly added template would NOT be listed

in order to get it listed, you have to import it...
which would produce another file, next to it..
like new_temp_dir/new_template1.ott (next to new_template.ott)

Expected Results:
after placing new_template.ott in the new template_dir

when libreoffice is restarted, the new template should be listed...

OR...

the new template should at least be listed in that view... but greyed out... 
and the user should be informed: "this template has not yet been imported"...





Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: TextDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes
Comment 1 Heiko Tietze 2019-01-04 08:39:36 UTC
The template manager was deliberately designed in this way. The supposed workflow is to modify a document and finally use File > Templates > Save as Template... to store it. By going through this workflow you get the correct place and category with, for example, My Templates as parent. The workflow is pretty straightforward to me. If we prefer the true file path (with also more than one path), all this would be lost. I'd rather not allow File > Save as...: Template and provide better export/import capabilities.

So my take here is WONTFIX, keeping the ticket open for a few days to get other opinions.
Comment 2 Regina Henschel 2019-01-04 15:23:17 UTC
Storing a template file into a directory, whose path has been added, is still possible. It acts the same as it has been for years. A file, which lays directly in this directory is listed in category "My Templates". It is listed with its title (from File > Properties > Description), or in case that is empty, with its file name. Folders in this directory are listed in a category having the folder name as name. Content of folders with same name as default categories are merged into this default category. Subfolders of folders are not possible. All changes become only active after restart of LibreOffice.
If you need to know the path to a template, then right click in Template Manager > Edit. Goto File > Properties, tab General.

I think, here is nothing to do. Advanced users or admins will know the ways (or ask for it) and for average users the Template Manager gives all needed actions.
Comment 3 Heiko Tietze 2019-01-11 09:48:22 UTC
(In reply to Heiko Tietze from comment #1)
> ...keeping the ticket open for a few days to get other opinions.

See also bug 122303 with confusion about New > Template where we also decided to keep the current implementation. Of course, all could be different but...
Comment 4 Peter Toye 2019-01-14 18:08:23 UTC
Sorry, I think I disagree. I logged a similar comment to the OP in bug 101435 which remained unanswered. I really think that if the current template management system is working as designed, then the help file documentation needs enhancement to help the user navigate the system. 

How does one link template names with the file names?

Why does copying a template screw up the template names?
Comment 5 Dieter Praas 2019-01-14 18:55:00 UTC
(In reply to Peter Toye from comment #4)
> Sorry, I think I disagree. I logged a similar comment to the OP in bug
> 101435 which remained unanswered.

Bug 101435 is a meta bug, where template bug are collected. So I don't expect, that you get an answer.

 I really think that if the current
> template management system is working as designed, then the help file
> documentation needs enhancement to help the user navigate the system. 

I haven't checked documentary, but if you think that there is a lack of information, you should open a new bug report. Personally I agree that the usability could be improved, but there are so many open bugs ...
Comment 6 Heiko Tietze 2019-01-15 08:50:26 UTC
(In reply to Peter Toye from comment #4)
> ... if the current template management system is working as designed, 
> then the help file documentation needs enhancement...

File a new ticket against documentation in bug 122720